<?php

class AudioListScreen extends AbstractPreloadedRegularScreen
{
    private $l;
    const ID = 'audio_list';

    public static function get_media_url_str()
    {
        return MediaURL::encode(array('screen_id' => self::ID));
    }

    public function __construct(MobileMediaLocalization $l)
    {
        $this->l = $l;
        parent::__construct(
            self::ID, $this->get_folder_views());
    }

    

    public function get_action_map(MediaURL $media_url, &$plugin_cookies)
    {
        return array(
            GUI_EVENT_KEY_ENTER => ActionFactory::open_folder(),
        );
    }

    public function get_all_folder_items(MediaURL $media_url, &$plugin_cookies)
    {
        $items = array();
        
        // get_music_list
        $media_url = array();
        $items[] = array
        (
            PluginRegularFolderItem::media_url => AudioTrackListScreen::get_media_url_str(),
            PluginRegularFolderItem::caption => $this->l->get_term('All Audio'),
            PluginRegularFolderItem::view_item_params => array
            (
                ViewItemParams::icon_path => 'plugin_file://icons/allsongs.png',
                ViewItemParams::item_detailed_icon_path => 'plugin_file://icons/allsongs.png'
            )
        );
        
        $media_url = array();
        $items[] = array
        (
            PluginRegularFolderItem::media_url => AudioArtistListScreen::get_media_url_str(),
            PluginRegularFolderItem::caption => $this->l->get_term('Artists'),
            PluginRegularFolderItem::view_item_params => array
            (
                ViewItemParams::icon_path => 'plugin_file://icons/artists.png',
                ViewItemParams::item_detailed_icon_path => 'plugin_file://icons/artists.png'
            )
        );
        
        $media_url = array();
        $items[] = array
        (
            PluginRegularFolderItem::media_url => AudioAlbumListScreen::get_media_url_str(),
            PluginRegularFolderItem::caption => $this->l->get_term('Albums'),
            PluginRegularFolderItem::view_item_params => array
            (
                ViewItemParams::icon_path => 'plugin_file://icons/albums.png',
                ViewItemParams::item_detailed_icon_path => 'plugin_file://icons/albums.png'
            )
        );
        
        $media_url = array();
        $items[] = array
        (
            PluginRegularFolderItem::media_url => KeywordSearchScreen::get_media_url_str(),
            PluginRegularFolderItem::caption => $this->l->get_term('Search'),
            PluginRegularFolderItem::view_item_params => array
            (
                ViewItemParams::icon_path => 'plugin_file://icons/search.png',
                ViewItemParams::item_detailed_icon_path => 'plugin_file://icons/search.png'
            )
        );
        
        
        return $items;
    }

    

    private function get_folder_views()
    {
        return Config::GET_VOD_CATEGORY_LIST_FOLDER_VIEWS();
    }
}


?>
