<?php

class KeywordSearchScreen extends AbstractControlsScreen
{
    const ID = 'keyword_search_screen';
    
    public static function get_media_url_str()
    {
        return MediaURL::encode(array('screen_id' => self::ID));
    }

    protected $vod;
    private $l; // localization
    
    public function __construct(Vod $vod, MobileMediaLocalization $l)
    {
        parent::__construct(self::ID);
        
        $this->l = $l;
        $this->vod = $vod;
    }
    
    public function get_handler_id()
    { return self::ID; }
    
    private function do_get_control_defs(MediaURL $media_url, &$plugin_cookies)
    {
        $defs = array();

        $this->add_label($defs, null, $this->l->get_term('Keyword Search'));
        
        $pattern = '';
        if (isset($plugin_cookies->search_keyword)) $pattern = $plugin_cookies->search_keyword;
        
        $this->add_text_field($defs, 'inpSearchKeyword', null,
            $pattern, false, false, true, false,
            500, true, false);

        return $defs;
    }
    
    public function get_control_defs(MediaURL $media_url, &$plugin_cookies)
    {
        $this->vod->folder_entered($media_url, $plugin_cookies);
        
        return $this->do_get_control_defs($media_url, $plugin_cookies);
    }
    
    public function handle_user_input(&$user_input, &$plugin_cookies)
    {
        hd_print(__METHOD__ . ' ' . print_r($user_input, true));
        
        // save last search to plugin_cookies
        $plugin_cookies->search_keyword = $user_input->inpSearchKeyword;
        
        $post_action = ActionFactory::open_folder(
            AudioTrackListScreen::get_media_url_str(
                null, null,
                $user_input->inpSearchKeyword), 
            $this->l->get_term('Search Results')
        );
        
        $action = ActionFactory::reset_controls(
            $this->do_get_control_defs(MediaURL::decode($user_input->selected_media_url), $plugin_cookies),
            /*
            ActionFactory::invalidate_folders(
                array(LdsVodListScreen::get_media_url_str()),
                $post_action
            )
            */
            $post_action
        );
        
        return $action;
    }
}