<?php

class MobileMediaLocalization
{
    
    private $lang = 'english';
    
    private static $VOCABULARY = array(
        'english' => array(
            // English vocabulary
            1 => 'Photo',
            2 => 'Device IP',
            3 => 'Video',
            4 => 'Audio',
            5 => 'Photos',
            6 => 'Movies',
            7 => 'Keyword Search',
            8 => 'Search Results',
            9 => 'Albums',
            10 => 'Artists',
            11 => 'Search',
            12 => 'Device not responding',
            13 => 'All Audio',
            
        ),
        'russian' => array(
            // Russian vocabulary
            1 => 'Фото',
            2 => 'IP Устройства',
            3 => 'Видео',
            4 => 'Аудио',
            5 => 'Фото',
            6 => 'Видео',
            7 => 'Поиск по ключевому слову',
            8 => 'Результаты поиска',
            9 => 'Альбомы',
            10 => 'Исполнители',
            11 => 'Поиск',
            12 => 'Устройство не отвечает',
            13 => 'Все Аудио',
        ),
    );
    
    
    public function __construct()
    {
        hd_print(__METHOD__);
        $this->determine_language();
    }
    
    private function determine_language()
    {
        $path = '/config/settings.properties';
        $properties = file($path);
        foreach ($properties as $property)
        {
            if (stristr($property, 'interface_language = ')) {
                $this->lang = trim( str_replace('interface_language = ', '', $property) );
                hd_print('determined system language as: ' . $this->lang);
                break;
            }
        }
        
        // make sure this language is present in our vocabulary
        $bFound = false;
        foreach (self::$VOCABULARY as $l => $vacab) {
            if ( $l == $this->lang ) $bFound = true;
        }
        if ( !$bFound ) $this->lang = 'english';
    }
    
    public function get_interface_language()
    { return $this->lang; }
    
    public function get_term($string) {
        
        // find this string in primary vocabulary (English),
        // then use mathed index to select a translation
        // if none found, output the string
        if ($k = array_search($string, self::$VOCABULARY['english'])) {
            return self::$VOCABULARY[$this->lang][$k];
        } else {
            return $string;
        }
    }
}
