<?php


require_once 'lib/default_dune_plugin.php';
require_once 'lib/utils.php';

require_once 'lib/tv/tv_group_list_screen.php';
require_once 'lib/tv/tv_favorites_screen.php';

require_once 'lib/vod/vod_list_screen.php';
require_once 'lib/vod/vod_movie_screen.php';
require_once 'lib/vod/vod_series_list_screen.php';
require_once 'lib/vod/vod_favorites_screen.php';
require_once 'lib/abstract_preloaded_regular_screen.php';
require_once 'lib/abstract_controls_screen.php';

require_once 'config.php';
require_once 'localization.php';

require_once 'root_app_screen.php';
require_once 'root_phone_screen.php';
require_once 'folder_list_screen.php';
require_once 'movies_list_screen.php';

require_once 'audio_list_screen.php';
require_once 'audio_artist_list.php';
require_once 'audio_album_list.php';
require_once 'audio_track_list_screen.php';
require_once 'keyword_search_screen.php';

require_once 'photos_list_screen.php';
//require_once 'image_viewer_screen.php';
require_once 'mm_setup_screen.php';

require_once 'mm_vod.php';
require_once 'smartphone-log-manager.php';



class MobileMediaPlugin extends DefaultDunePlugin
{
    public function __construct()
    {
        $this->tv = null;
        $l = new MobileMediaLocalization();
        $this->vod = new MobileMediaVod($l);
        
        $this->add_screen(new RootAppScreen($l));
		$this->add_screen(new RootPhoneScreen($l));
        $this->add_screen(new FolderListScreen($l));
        
        $this->add_screen(new MoviesListScreen($l));
        
        $this->add_screen(new AudioListScreen($l));
        $this->add_screen(new AudioArtistListScreen($l));
        $this->add_screen(new AudioAlbumListScreen($l));
        $this->add_screen(new KeywordSearchScreen($this->vod, $l));
        $this->add_screen(new AudioTrackListScreen($l));
        
        $this->add_screen(new PhotosListScreen($this->vod, $l));
        //$this->add_screen(new ImageViewerScreen($this->vod));
        $this->add_screen(new iPhoneRCSetupScreen($l));
    }
}