<?php


require_once 'lib/abstract_controls_screen.php';



class iPhoneRCSetupScreen extends AbstractControlsScreen
{
    const ID = 'rc_browser_setup';
    private $l;
    

    public function __construct(MobileMediaLocalization $l)
    {
        $this->l = $l;
        parent::__construct(self::ID);
    }

    public function do_get_control_defs(&$plugin_cookies)
    {
        $defs = array();

        $server_ip = isset($plugin_cookies->_SERVER_IP) ?
            $plugin_cookies->_SERVER_IP : Config::_SERVER_IP;
        
        $this->add_text_field(
            $defs, 
            $name = 'inpServerIP', 
            $title = $this->l->get_term('Device IP'), 
            $initial_value = $server_ip, 
            $numeric = false, 
            $password = false, 
            $has_osk = true, 
            $always_active = false, 
            $width = '600',
            $need_confirm = true, 
            $need_apply = false
        );
        
        return $defs;
    }

    public function get_control_defs(MediaURL $media_url, &$plugin_cookies)
    {
        return $this->do_get_control_defs($plugin_cookies);
    }

    public function handle_user_input(&$user_input, &$plugin_cookies)
    {
        hd_print(__METHOD__ . ' ' .print_r($user_input, true));
        
        if ($user_input->action_type === 'confirm')
        {
            $control_id = $user_input->control_id;
            $new_value = $user_input->{$control_id};
            hd_print("Setup: changing $control_id value to $new_value");

            $plugin_cookies->_SERVER_IP = $new_value;
        }

        return ActionFactory::reset_controls(
            $this->do_get_control_defs($plugin_cookies));
    }
}


?>
