<?php

/*
 * Root screen which allows user to select 
 * the iPhone to read content from
 */
class RootAppScreen extends AbstractPreloadedRegularScreen
{
    const ID = 'rc_browser_root_app_screen';
    private $l; // localization

    public static function get_media_url_str()
    {
        return MediaURL::encode(
            array
            (
                'screen_id' => self::ID
            ));
    }

    

    public function __construct(MobileMediaLocalization $l)
    {
        $this->l = $l;
        parent::__construct(
            self::ID, $this->get_folder_views());
    }

    

    public function get_action_map(MediaURL $media_url, &$plugin_cookies)
    {
        return array(
            GUI_EVENT_KEY_ENTER => ActionFactory::open_folder(),
        );
    }

    

    public function get_all_folder_items(MediaURL $media_url, &$plugin_cookies)
    {
        $items = array();
        
        SmartphoneManager::init();
        $active_smartphones = SmartphoneManager::getSmartphoneList();
        
        hd_print('ACTIVE SMARTPHONES: ' . print_r($active_smartphones, true));
        
        foreach ($active_smartphones as $ip => $smartphone)
        {
            $next_media_url = RootPhoneScreen::get_media_url_str($ip);
            $chunks = explode(' | ', $smartphone);
            
            $device_icon = 'plugin_file://icons/connection1.png';
            /* no point to highlight active phone as all are active
            if ( $ip == Config::get_server_ip($plugin_cookies) ) {
                $device_icon = 'plugin_file://icons/connection.png';
            }
            */
            
            $items[] = array
            (
                PluginRegularFolderItem::media_url => $next_media_url,
                PluginRegularFolderItem::caption => strval($chunks[0] .' ' . $ip),
                PluginRegularFolderItem::view_item_params => array
                (
                    ViewItemParams::icon_path => $device_icon,
                    ViewItemParams::item_detailed_icon_path => $device_icon
                )
            );
        }

        return $items;
    }

    

    private function get_folder_views()
    {
        return Config::GET_DEVICE_LIST_FOLDER_VIEWS();
    }
}
