<?php


require_once 'lib/abstract_preloaded_regular_screen.php';
require_once 'config.php';
require_once 'movies_list_screen.php';
require_once 'audio_list_screen.php';
require_once 'photos_list_screen.php';


/*
 * Root screen wich should show 3 groups: videos, audios, photos
 */
class RootPhoneScreen extends AbstractPreloadedRegularScreen
{
    private $l;
    const ID = 'rc_browser_list';

    public static function get_media_url_str($ip)
    {
        return MediaURL::encode(
            array
            (
                'screen_id' => self::ID,
                'phone_ip' => $ip,
            ));
    }

    

    public function __construct(MobileMediaLocalization $l)
    {
        $this->l = $l;
        parent::__construct(
            self::ID, $this->get_folder_views());
    }

    

    public function get_action_map(MediaURL $media_url, &$plugin_cookies)
    {
        return array(
            GUI_EVENT_KEY_ENTER => ActionFactory::open_folder(),
        );
    }

    

    public function get_all_folder_items(MediaURL $media_url, &$plugin_cookies)
    {
		$items = array();
		$plugin_cookies->_SERVER_IP = $media_url->phone_ip;
        
        foreach (Config::$ROOT_CATEGORIES as $item)
        {
        	$next_media_url = null;
            if ($item['type'] === 'videos') {
				//$next_media_url = MoviesListScreen::get_media_url_str();
                $next_media_url = FolderListScreen::get_media_url_str($item['type']);
                $icon_path = 'plugin_file://icons/video.png';
            }
			else if ($item['type'] === 'audio') {
				$next_media_url = AudioListScreen::get_media_url_str();
                $icon_path = 'plugin_file://icons/music.png';
            }
			else if ($item['type'] === 'photos') {
				//$next_media_url = PhotosListScreen::get_media_url_str();
                $next_media_url = FolderListScreen::get_media_url_str($item['type']);
                $icon_path = 'plugin_file://icons/photo.png';
            }
				
            $items[] = array
            (
                PluginRegularFolderItem::media_url => $next_media_url,
                PluginRegularFolderItem::caption => $this->l->get_term(strval($item['caption'])),
                PluginRegularFolderItem::view_item_params => array
                (
                    ViewItemParams::icon_path => $icon_path,
                    ViewItemParams::item_detailed_icon_path => $icon_path
                )
            );
        }

        return $items;
    }

    

    private function get_folder_views()
    {
        //return Config::GET_VOD_PHONECONTENT_LIST_FOLDER_VIEWS();
        return Config::GET_VOD_CATEGORY_LIST_FOLDER_VIEWS();
    }
}
