<?php

/**
 * 
 * Usage:
 * SmarthphoneManager::init();
 * $active_phones = SmartphoneManager::getSmartphoneList();
 * 
 */

class SmartphoneManager
{
    public static $log_path = '';
    private static $log_entries = array();
    
    /**
     * think of it as static constructor
     */
    public static function init()
    {
        // set up path to entry log
        self::$log_path = DuneSystem::$properties['tmp_dir_path'] 
            . '/smartphone-handshakes.log';
        hd_print(__METHOD__ . ' log path: ' . self::$log_path);
    }
    
    
    public static function getSmartphoneList()
    {
        self::readLogEntries();
        return self::$log_entries;
    }
    
    
    /**
     * read log entries from log
     */
    private static function readLogEntries()
    {
        // TODO: what if file does not exist and no phones are connected?
        $lines = file(self::$log_path);
        self::cleanUpLogEntries($lines);
    }
    
    /**
     * remove old log entries
     */
    private static function cleanUpLogEntries($lines)
    {
        $handshakes = array();
        
        // convert from log format to datastructure and remove old entries
        foreach ($lines as $line) {
            if (strlen($line) > 0) {
                $chunks = explode(' | ', urldecode($line));
                hd_print(print_r($chunks, true));
                
                // anything older then 30s gets scrapped
                if ( time() - intval($chunks[2]) < Config::_SMARTPHONE_BECOMES_INACTIVE_S ) { 
                    $handshakes[trim($chunks[1])] = stripcslashes(trim($chunks[0])) .' | ' . trim($chunks[2]);
                }
            }
        }
        
        self::writeLogEntries($handshakes);
    }
    
    /**
     * save cleaned-up entries to log
     */
    private static function writeLogEntries($handshakes)
    {
        self::$log_entries = $handshakes;
        
        // convert back to log format
        $toBeWritten = '';
        foreach ($handshakes as $k => $handshake) {
            $arr = explode(' | ', $handshake);
            $line = trim($arr[0]) . ' | ' . trim($k) . ' | ' . trim($arr[1]) . "\n";
            $toBeWritten .= $line;
        }
        
        $fh = fopen(self::$log_path, 'w');
        fputs($fh, $toBeWritten);
        fclose($fh);
    }
}