<?php

/**
 * User devices (e.g. smartphones, tablets) will send requests to this URL to
 * register themselfs.
 * 
 * This script determines their IP address using the $_SERVER global var, and
 * logs it along with the device name, so that the plugin can pick up a list of devices.
 */

const PORT_SUFFIX = ':8088';
$LogPath = '/tmp/plugins/mobilemedia/smartphone-handshakes.log';

$DeviceName = '';
$TS = time();
$DeviceIP = '';

// fetch $_GET params
if ( isset($_GET['name']) && strlen($_GET['name']) > 0 ) {
    $DeviceName = str_replace('|', '-', $_GET['name']);
}
if ( isset($_GET['ip']) && strlen($_GET['ip']) > 0 ) {
    $DeviceIP = $_GET['ip'];
}
echo 'Device name: ' . $DeviceName . "<br/>\n";
echo 'Device IP: ' . $DeviceIP . "<br/>\n";

// we don't trust the device to correctly send us it's IP address - 
// we want to compare it with the one from $_SERVER
$RequestIP = $_SERVER['REMOTE_ADDR'];
echo 'Device IP from server request: ' . $RequestIP . "<br/>\n";
echo 'Device Port: ' . $_SERVER['REMOTE_PORT'] . "<br/>\n";

// form log string
$strLogEntry = $DeviceName . " | " . $RequestIP . PORT_SUFFIX . " | " . $TS;

if (file_exists($LogPath))
{
    echo "File exists: " . $LogPath . "\n<br/>";
    // trim log
    $LogLines = file($LogPath);
    echo "Read from file: \n<br/>\n<br/><pre>" . print_r($LogLines, true) . "</pre>\n<br/>";
    // trim to 3000 lines - this should sufficient if each device sends a request every 3 seconds
    if ( count($LogLines) > 3000 ) {
        $LogLines = array_slice($LogLines, intval(count($LogLines)-3000));
        echo "Trimmed log: \n<br/>\n<br/><pre>" . print_r($LogLines, true) . "</pre>\n<br/>";
    }
} else {
    echo "File does not exist, creating it now: " . $LogPath . "\n<br/>";
    $fh = fopen($LogPath, 'a') or die("could not create file: " . $LogPath . "<br/>\n"); 
    fclose($fh);
    $LogLines = array();
}

$LogLines[] = $strLogEntry;

echo "Writing to log: \n<br/>\n<br/><pre>" . print_r($LogLines, true) . "</pre><br/>\n";
file_put_contents(
    $LogPath, 
    implode("\n", $LogLines)
);

echo "Written handshake to log \n";